import { select, range, scaleOrdinal } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const colorScale = scaleOrdinal()
	.domain(['apple','lemon'])
	.range(['red','yellow']);


//console.log(fruits)

const render = (selection, {fruits}) =>
{
  const circles =
  selection.selectAll('circle').data(fruits);
 				
  circles.enter().append('circle')
      	.attr('cx', (d, i) => i * 120 + 60)
				.attr('cy', height / 2)
  	.merge(circles)
				.attr('fill',d => colorScale(d.type))
				.attr('r', 50);
  
  circles.selectAll('circle').data(fruits)
      .exit().remove();
}



const makeFruit = type => ({type});

const fruits = range(5)
		.map(() => makeFruit("apple"));


render(svg, {fruits});

setTimeout(()=> {
  //ate an apple
  fruits.pop();
	render(svg, {fruits});
}, 1000);


setTimeout(()=> {
  //ate an apple
  fruits[2].type = 'lemon';
	render(svg, {fruits});
}, 1000);













